Get all Transcripts
curl --request GET \
--url https://api.affinity.co/v2/transcripts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/transcripts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/transcripts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/transcripts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"note": {
"id": 742,
"type": "ai-notetaker",
"content": {
"html": "<p> Sarah reviews the company's ARR growth trajectory with Alex. The team discusses expansion revenue drivers and the path to Series B. </p>"
},
"creator": {
"id": 8,
"firstName": "Sarah",
"lastName": "Park",
"primaryEmailAddress": "sarah.park@horizontech.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 1,
"createdAt": "2023-01-01T00:00:20Z",
"updatedAt": "2023-01-21T00:01:00Z"
},
"languageCode": "en",
"createdAt": "2023-01-01T00:00:23Z"
},
{
"id": 2,
"note": {
"id": 844,
"type": "ai-notetaker",
"content": {
"html": "<p> Daniel and the founder discuss due diligence findings from the technical review. The team aligns on next steps before the term sheet is finalized. </p>"
},
"creator": {
"id": 10,
"firstName": "Daniel",
"lastName": "Kim",
"primaryEmailAddress": "d.kim@northpointvc.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 2,
"createdAt": "2023-02-01T00:00:00Z",
"updatedAt": "2023-02-21T00:00:00Z"
},
"languageCode": "en",
"createdAt": "2023-02-01T00:00:35Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/transcripts?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/transcripts?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Transcripts
Get all Transcripts
Paginate through all transcripts and return basic metadata only. Use the single transcript endpoint to fetch the entire transcript data. Will only return transcripts that the current authenticated user has permission to see.
You can filter transcripts using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int32 | = | id=1 |
createdAt | datetime | >, <, >=, <= | createdAt<2025-02-04T10:48:24Z |
GET
/
v2
/
transcripts
Get all Transcripts
curl --request GET \
--url https://api.affinity.co/v2/transcripts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/transcripts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/transcripts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/transcripts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"note": {
"id": 742,
"type": "ai-notetaker",
"content": {
"html": "<p> Sarah reviews the company's ARR growth trajectory with Alex. The team discusses expansion revenue drivers and the path to Series B. </p>"
},
"creator": {
"id": 8,
"firstName": "Sarah",
"lastName": "Park",
"primaryEmailAddress": "sarah.park@horizontech.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 1,
"createdAt": "2023-01-01T00:00:20Z",
"updatedAt": "2023-01-21T00:01:00Z"
},
"languageCode": "en",
"createdAt": "2023-01-01T00:00:23Z"
},
{
"id": 2,
"note": {
"id": 844,
"type": "ai-notetaker",
"content": {
"html": "<p> Daniel and the founder discuss due diligence findings from the technical review. The team aligns on next steps before the term sheet is finalized. </p>"
},
"creator": {
"id": 10,
"firstName": "Daniel",
"lastName": "Kim",
"primaryEmailAddress": "d.kim@northpointvc.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 2,
"createdAt": "2023-02-01T00:00:00Z",
"updatedAt": "2023-02-21T00:00:00Z"
},
"languageCode": "en",
"createdAt": "2023-02-01T00:00:35Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/transcripts?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/transcripts?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Authorizations
Query Parameters
Was this page helpful?